'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _filter = require('lodash/collection/filter');

var _filter2 = _interopRequireDefault(_filter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var connections = [{ description: 'Following', action: 'Follow', type: 'follows' }, { description: 'Friends', action: 'Friend', type: 'friends', member: '' }, { description: 'Supports', action: 'Support', type: 'supports', member: 'team' }, { description: 'Favourite', action: 'Favourite', type: 'favourites', member: 'player' }];

exports.default = function (member) {
  var type = member.type || member.additional && member.additional.type;
  return (0, _filter2.default)(connections, function (connection) {
    return connection.member === type || connection.member == null;
  });
};