'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Add = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _assign = require('lodash/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _reselect = require('reselect');

var _reactRedux = require('react-redux');

var _members = require('../ducks/members');

var _component = require('@recipher/component');

var _profile = require('../components/profile');

var _profile2 = _interopRequireDefault(_profile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Add = exports.Add = function (_Component) {
  _inherits(Add, _Component);

  function Add(props) {
    _classCallCheck(this, Add);

    var _this = _possibleConstructorReturn(this, (Add.__proto__ || Object.getPrototypeOf(Add)).call(this, props));

    _this.handleSubmit = _this.handleSubmit.bind(_this);
    return _this;
  }

  _createClass(Add, [{
    key: 'handleSubmit',
    value: function handleSubmit(data) {
      var _props = this.props,
          session = _props.session,
          create = _props.create;


      create((0, _assign2.default)({}, data, { userId: session.user.id }));
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _component.Heading,
          null,
          'Register Member'
        ),
        _react2.default.createElement(_profile2.default, _extends({}, this.props, { button: ['Register', 'Registering...'],
          onSubmit: this.handleSubmit }))
      );
    }
  }]);

  return Add;
}(_react.Component);

;

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  members: _members.membersSelector,
  session: function session(state) {
    return state.session;
  }
});

exports.default = (0, _reactRedux.connect)(mapStateToProps, { create: _members.create })(Add);