'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Access = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reselect = require('reselect');

var _reactRedux = require('react-redux');

var _members = require('../../ducks/members');

var _navigation = require('../../components/navigation');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Access = exports.Access = function (_Component) {
  _inherits(Access, _Component);

  function Access() {
    _classCallCheck(this, Access);

    return _possibleConstructorReturn(this, (Access.__proto__ || Object.getPrototypeOf(Access)).apply(this, arguments));
  }

  _createClass(Access, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          member = _props.member,
          children = _props.children;


      return _react2.default.createElement(
        'div',
        { style: { minHeight: 400 } },
        _react2.default.createElement(_navigation.Access, { member: member }),
        children
      );
    }
  }]);

  return Access;
}(_react.Component);

;

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  member: _members.memberSelector
});

exports.default = (0, _reactRedux.connect)(mapStateToProps)(Access);