'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Manager = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reselect = require('reselect');

var _reactRedux = require('react-redux');

var _support = require('@recipher/support');

var _members = require('../../ducks/members');

var _users = require('../../ducks/users');

var _users2 = require('../../components/access/users');

var _users3 = _interopRequireDefault(_users2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Manager = exports.Manager = function (_Component) {
  _inherits(Manager, _Component);

  function Manager() {
    _classCallCheck(this, Manager);

    return _possibleConstructorReturn(this, (Manager.__proto__ || Object.getPrototypeOf(Manager)).apply(this, arguments));
  }

  _createClass(Manager, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(_users3.default, this.props);
    }
  }]);

  return Manager;
}(_react.Component);

;

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  member: _members.memberSelector,
  users: _users.usersSelector,
  authorized: (0, _support.authorizeSelector)(_support.Manage, _members.primarySelector)
});

exports.default = (0, _reactRedux.connect)(mapStateToProps, { search: _users.search, add: _users.add, remove: _users.remove })(Manager);