'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redux = require('redux');

var _members = require('./ducks/members');

var _members2 = _interopRequireDefault(_members);

var _accounts = require('./ducks/accounts');

var _accounts2 = _interopRequireDefault(_accounts);

var _connections = require('./ducks/connections');

var _connections2 = _interopRequireDefault(_connections);

var _users = require('./ducks/users');

var _users2 = _interopRequireDefault(_users);

var _search = require('./ducks/search');

var _search2 = _interopRequireDefault(_search);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _redux.combineReducers)({
  members: _members2.default,
  accounts: _accounts2.default,
  connections: _connections2.default,
  users: _users2.default,
  search: _search2.default
});