'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (Authorize) {
  return _react2.default.createElement(
    _reactRouter.Route,
    { path: 'member', component: Authorize()(_handlers.Member) },
    _react2.default.createElement(_reactRouter.IndexRoute, { component: _handlers.Profile }),
    _react2.default.createElement(_reactRouter.Route, { path: 'select', component: _handlers.Select }),
    _react2.default.createElement(_reactRouter.Route, { path: 'profile', component: _handlers.Profile }),
    _react2.default.createElement(_reactRouter.Route, { path: 'connect', component: _handlers.Connect }),
    _react2.default.createElement(
      _reactRouter.Route,
      { path: 'access', component: access.Access },
      _react2.default.createElement(_reactRouter.IndexRoute, { component: access.Manage }),
      _react2.default.createElement(_reactRouter.Route, { path: 'manage', component: access.Manage }),
      _react2.default.createElement(_reactRouter.Route, { path: 'add', component: access.Add })
    ),
    _react2.default.createElement(
      _reactRouter.Route,
      { path: 'connections', component: connections.Connections },
      _react2.default.createElement(_reactRouter.IndexRoute, { component: connections.Manage }),
      _react2.default.createElement(_reactRouter.Route, { path: 'manage', component: connections.Manage }),
      _react2.default.createElement(_reactRouter.Route, { path: 'add', component: connections.Add })
    ),
    _react2.default.createElement(_reactRouter.Route, { path: 'add', component: _handlers.Add })
  );
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

var _handlers = require('./handlers');

var _access = require('./handlers/access');

var access = _interopRequireWildcard(_access);

var _connections = require('./handlers/connections');

var connections = _interopRequireWildcard(_connections);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

;